% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/shiny-funcs.R
\name{get_de_genes}
\alias{get_de_genes}
\title{Find differentially expressed genes}
\usage{
get_de_genes(dataset, labels, p.val = 0.01)
}
\arguments{
\item{dataset}{expression matrix}

\item{labels}{cell labels corresponding to the columns of the expression matrix}

\item{p.val}{p-value threshold, by default it is 0.01}
}
\value{
a numeric vector containing the differentially expressed genes and 
correspoding p-values
}
\description{
If the cell labels are available this functions allows a user to calculate
differentially expressed genes manually.
}
\examples{
d <- get_de_genes(treutlein, colnames(treutlein))
head(d)

}

